osg::KdTree::KdNode Struct Reference

`#include <KdTree>`

## Public Member Functions

| KdNode ()
| KdNode (value_type f, value_type s)

## Public Attributes

osg::BoundingBox | bb
value_type | first
value_type | second

## Constructor & Destructor Documentation

## KdNode() [1/2]

osg::KdTree::KdNode::KdNode | ( |  | ) |

inline

References first, and second.

## KdNode() [2/2]

osg::KdTree::KdNode::KdNode | ( | value_type | f,
|  | value_type | s )

inline

References first, and second.

## Member Data Documentation

## bb

osg::BoundingBox osg::KdTree::KdNode::bb

Referenced by osg::KdTree::intersect().

## first

value_type osg::KdTree::KdNode::first

Referenced by osg::KdTree::intersect(), KdNode(), and KdNode().

## second

value_type osg::KdTree::KdNode::second

Referenced by osg::KdTree::intersect(), KdNode(), and KdNode().

The documentation for this struct was generated from the following file:

- KdTree